Package org.eclipse.emf.spi.cdo

# Class ViewResourceSetConfigurer

java.lang.Object
org.eclipse.emf.spi.cdo.ViewResourceSetConfigurer

All Implemented Interfaces:
  `ResourceSetConfigurer`

public abstract class ViewResourceSetConfigurer extends Object implements ResourceSetConfigurer
A convenient base class for `resource set configurers` that require a `CDOView` as their context.

Since:
  4.26
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.util.ResourceSetConfigurer

`ResourceSetConfigurer.Factory, ResourceSetConfigurer.Registry`

## Constructor Summary

Constructors
Constructor
Description
`ViewResourceSetConfigurer()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`configureResourceSet(ResourceSet resourceSet, Object context, org.eclipse.net4j.util.container.IManagedContainer container)`
`protected abstract Object`
`configureViewResourceSet(ResourceSet resourceSet, CDOView view)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ViewResourceSetConfigurer

public ViewResourceSetConfigurer()

## Method Details

### configureResourceSet

public Object configureResourceSet(ResourceSet resourceSet, Object context, org.eclipse.net4j.util.container.IManagedContainer container)

Specified by:
  `configureResourceSet` in interface `ResourceSetConfigurer`

### configureViewResourceSet

protected abstract Object configureViewResourceSet(ResourceSet resourceSet, CDOView view)